> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Get epoch metadata for an epoch ending on the day specified

> This endpoint returns epoch metadata for days on which an epoch ends.



## OpenAPI

````yaml get /v1/solana/epochMetadata
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v1/solana/epochMetadata:
    get:
      tags:
        - Solana Network
      summary: Get epoch metadata for an epoch ending on the day specified
      description: This endpoint returns epoch metadata for days on which an epoch ends.
      operationId: get_epoch_metadata_v1_solana_epochMetadata_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            description: The number of results returned per page
            default: 15
            title: Limit
          description: The number of results returned per page
        - name: offset
          in: query
          required: false
          schema:
            type: integer
            description: The number of results to skip before starting to return
            default: 0
            title: Offset
          description: The number of results to skip before starting to return
        - name: toDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: End date
            examples:
              - '2023-12-31'
            title: Todate
          description: End date
        - name: fromDate
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date
              - type: 'null'
            description: Start date
            examples:
              - '2023-01-01'
            title: Fromdate
          description: Start date
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - {}
              - type: 'null'
            description: UTC day
            deprecated: true
            title: From
          description: UTC day
          deprecated: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__14
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    api__schemas__paginator__paginated_response_for_result_model___locals___PaginatedResponseWithResultModel__14:
      properties:
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
        pages:
          type: integer
          minimum: 0
          title: Pages
        results:
          items:
            properties:
              day:
                type: string
                format: date
                title: Day
              epoch:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Epoch
              startSlot:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Startslot
              endSlot:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Endslot
              startBlock:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Startblock
              endBlock:
                anyOf:
                  - type: integer
                    minimum: 0
                  - type: 'null'
                title: Endblock
              startBlockTime:
                anyOf:
                  - type: string
                    format: date-time
                  - type: 'null'
                title: Startblocktime
              endBlockTime:
                anyOf:
                  - type: string
                    format: date-time
                  - type: 'null'
                title: Endblocktime
            type: object
            required:
              - day
              - epoch
              - startSlot
              - endSlot
              - startBlock
              - endBlock
              - startBlockTime
              - endBlockTime
            title: SolanaEpochStats
            examples:
              - day: '2024-04-04'
                endBlock: 1100010
                endBlockTime: '2024-04-04 11:59:59'
                endSlot: 1100000
                epoch: 710
                startBlock: 1000010
                startBlockTime: '2024-04-03 00:00:00'
                startSlot: 1000000
          type: array
          title: Results
      type: object
      required:
        - previous
        - next
        - pages
        - results
      title: PaginatedV1SolanaEpochStats
      examples:
        - next: >-
            https://api.rated.network//v1/solana/epochMetadata?limit=10&offset=30
          pages: 10
          previous: >-
            https://api.rated.network//v1/solana/epochMetadata?limit=10&offset=10
          results:
            - - day: '2024-04-04'
                endBlock: 1100010
                endBlockTime: '2024-04-04 11:59:59'
                endSlot: 1100000
                epoch: 710
                startBlock: 1000010
                startBlockTime: '2024-04-03 00:00:00'
                startSlot: 1000000
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````